Subject: Danaus plexippus and Phyciodes thoros trades

From: [email-masked] (Angela14)
Date: 28 Jul 1995 14:39:37 -0400

Hello, all!

I have a friend here who has nice specimens of a male Danaus plexippus and
a Phyciodes tharos.  She is wondering if there is someone here (hopefully
>from  another country) who would like to trade two other lepidoptera
specimens for hers.  If you are interested, please post or email me, and
we can go from there.

Thanks